#!/bin/bash

wrlinuxDir=$(cd `dirname $0`/..;pwd)

md5file=`mktemp`

trap sighandler SIGHUP SIGINT SIGTERM

rm -rf $md5file

function clean_exit {
	rm -rf $md5file
	gpg --delete-keys --batch --yes yue.tao@windriver.com
	exit $1
}

function sighandler {
        clean_exit 1
}

gpg --import wrl_60.gpg >/dev/null 2>&1

gpg --output $md5file -d prebuilts.md5.asc >/dev/null 2>&1

[ $? != 0 ] && echo "BAD signature, exit!" && exit 1

[ ! -d $wrlinuxDir/layers/wr-prebuilts/sstate ] && echo "No prebuilt directory $wrlinuxDir/layers/wr-prebuilts/sstate, exit!" && exit 1
[ -z "$(ls $wrlinuxDir/layers/wr-prebuilts/sstate)" ] && echo "Prebuilt directory $wrlinuxDir/layers/wr-prebuilts/sstate is empty, exit!" && exit 1

cd $wrlinuxDir/layers/wr-prebuilts/sstate/

md5sum -c $md5file 2>/dev/null | grep FAILED

if [ $? = 0 ]; then
	echo "prebuilt binaries checksum error!"
	clean_exit 1
else
	echo "prebuilt binaries checksum passed."
	clean_exit 0
fi


